## FlatpakInstalledRef

FlatpakInstalledRef — Installed application reference

## Functions

const char * | flatpak_installed_ref_get_deploy_dir ()
guint64 | flatpak_installed_ref_get_installed_size ()
gboolean | flatpak_installed_ref_get_is_current ()
const char * | flatpak_installed_ref_get_latest_commit ()
const char * | flatpak_installed_ref_get_origin ()
GBytes * | flatpak_installed_ref_load_appdata ()
GBytes * | flatpak_installed_ref_load_metadata ()
const char * | flatpak_installed_ref_get_appdata_license ()
const char * | flatpak_installed_ref_get_appdata_name ()
const char * | flatpak_installed_ref_get_appdata_summary ()
const char * | flatpak_installed_ref_get_appdata_version ()
GHashTable * | flatpak_installed_ref_get_appdata_content_rating ()
const char * | flatpak_installed_ref_get_appdata_content_rating_type ()
const char * const * | flatpak_installed_ref_get_subpaths ()
const char * | flatpak_installed_ref_get_eol ()
const char * | flatpak_installed_ref_get_eol_rebase ()

## Properties

GHashTable * | appdata-content-rating | Read / Write / Construct Only
char * | appdata-content-rating-type | Read / Write / Construct Only
char * | appdata-license | Read / Write / Construct Only
char * | appdata-name | Read / Write / Construct Only
char * | appdata-summary | Read / Write / Construct Only
char * | appdata-version | Read / Write / Construct Only
char * | deploy-dir | Read / Write
char * | end-of-life | Read / Write / Construct Only
char * | end-of-life-rebase | Read / Write / Construct Only
guint64 | installed-size | Read / Write
gboolean | is-current | Read / Write
char * | latest-commit | Read / Write
char * | origin | Read / Write
GStrv | subpaths | Read / Write

## Types and Values

struct | FlatpakInstalledRef

## Object Hierarchy

        GObject
        ╰── FlatpakRef
            ╰── FlatpakInstalledRef

## Description

A FlatpakInstalledRef provides information about an installed application or runtime (in short: ref), such as the available builds, its size, location, etc.

## Functions

### flatpak_installed_ref_get_deploy_dir ()

    const char *
    flatpak_installed_ref_get_deploy_dir (FlatpakInstalledRef *self);

Gets the deploy dir of the ref.

#### Parameters

self | a FlatpakInstalledRef |

#### Returns

the deploy dir.

[transfer none]

### flatpak_installed_ref_get_installed_size ()

    guint64
    flatpak_installed_ref_get_installed_size
                                   (FlatpakInstalledRef *self);

Returns the installed size of the ref.

#### Parameters

self | a FlatpakInstalledRef |

#### Returns

the installed size

### flatpak_installed_ref_get_is_current ()

    gboolean
    flatpak_installed_ref_get_is_current (FlatpakInstalledRef *self);

Returns whether the ref is current.

#### Parameters

self | a FlatpakInstalledRef |

#### Returns

`TRUE` if the ref is current

### flatpak_installed_ref_get_latest_commit ()

    const char *
    flatpak_installed_ref_get_latest_commit
                                   (FlatpakInstalledRef *self);

Gets the latest commit of the ref.

#### Parameters

self | a FlatpakInstalledRef |

#### Returns

the latest commit.

[transfer none][nullable]

### flatpak_installed_ref_get_origin ()

    const char *
    flatpak_installed_ref_get_origin (FlatpakInstalledRef *self);

Gets the origin of the ref.

#### Parameters

self | a FlatpakInstalledRef |

#### Returns

the origin.

[transfer none]

### flatpak_installed_ref_load_appdata ()

    GBytes *
    flatpak_installed_ref_load_appdata (FlatpakInstalledRef *self,
                                        GCancellable *cancellable,
                                        GError **error);

Loads the compressed xml appdata for this ref (if it exists).

#### Parameters

self | a FlatpakInstalledRef |
cancellable | a GCancellable. | [nullable]
error | a return location for a GError |

#### Returns

a GBytes containing the compressed appdata file, or `NULL` if an error occurred.

[transfer full]

Since: 1.1.2

### flatpak_installed_ref_load_metadata ()

    GBytes *
    flatpak_installed_ref_load_metadata (FlatpakInstalledRef *self,
                                         GCancellable *cancellable,
                                         GError **error);

Loads the metadata file for this ref.

#### Parameters

self | a FlatpakInstalledRef |
cancellable | a GCancellable. | [nullable]
error | a return location for a GError |

#### Returns

a GBytes containing the metadata file, or `NULL` if an error occurred.

[transfer full]

### flatpak_installed_ref_get_appdata_license ()

    const char *
    flatpak_installed_ref_get_appdata_license
                                   (FlatpakInstalledRef *self);

Returns the license field from the appdata.

#### Parameters

self | a FlatpakInstalledRef |

#### Returns

the license or `NULL`.

[transfer none]

Since: 1.1.2

### flatpak_installed_ref_get_appdata_name ()

    const char *
    flatpak_installed_ref_get_appdata_name
                                   (FlatpakInstalledRef *self);

Returns the name field from the appdata.

The returned string is localized.

#### Parameters

self | a FlatpakInstalledRef |

#### Returns

the name or `NULL`.

[transfer none]

Since: 1.1.2

### flatpak_installed_ref_get_appdata_summary ()

    const char *
    flatpak_installed_ref_get_appdata_summary
                                   (FlatpakInstalledRef *self);

Returns the summary field from the appdata.

The returned string is localized.

#### Parameters

self | a FlatpakInstalledRef |

#### Returns

the summary or `NULL`.

[transfer none]

Since: 1.1.2

### flatpak_installed_ref_get_appdata_version ()

    const char *
    flatpak_installed_ref_get_appdata_version
                                   (FlatpakInstalledRef *self);

Returns the default version field from the appdata.

#### Parameters

self | a FlatpakInstalledRef |

#### Returns

the version or `NULL`.

[transfer none]

Since: 1.1.2

### flatpak_installed_ref_get_appdata_content_rating ()

    GHashTable *
    flatpak_installed_ref_get_appdata_content_rating
                                   (FlatpakInstalledRef *self);

Returns the content rating field from the appdata. This is a potentially empty mapping of content rating attribute IDs to values, to be interpreted by the semantics of the content rating type (see `flatpak_installed_ref_get_appdata_content_rating_type()`).

#### Parameters

self | a FlatpakInstalledRef |

#### Returns

the content rating or `NULL`.

[transfer none][nullable][element-type utf8 utf8]

Since: 1.4.2

### flatpak_installed_ref_get_appdata_content_rating_type ()

    const char *
    flatpak_installed_ref_get_appdata_content_rating_type
                                   (FlatpakInstalledRef *self);

Returns the content rating type from the appdata. For example, `oars-1.0` or `oars-1.1`.

#### Parameters

self | a FlatpakInstalledRef |

#### Returns

the content rating type or `NULL`.

[transfer none][nullable]

Since: 1.4.2

### flatpak_installed_ref_get_subpaths ()

    const char * const *
    flatpak_installed_ref_get_subpaths (FlatpakInstalledRef *self);

Returns the subpaths that are installed, or `NULL` if all files installed.

#### Parameters

self | a FlatpakInstalledRef |

#### Returns

A strv, or `NULL`.

[transfer none]

### flatpak_installed_ref_get_eol ()

    const char *
    flatpak_installed_ref_get_eol (FlatpakInstalledRef *self);

Returns the end-of-life reason string, or `NULL` if the ref is not end-of-lifed.

#### Parameters

self | a FlatpakInstalledRef |

#### Returns

the end-of-life reason or `NULL`.

[transfer none]

### flatpak_installed_ref_get_eol_rebase ()

    const char *
    flatpak_installed_ref_get_eol_rebase (FlatpakInstalledRef *self);

Returns the end-of-life rebased ref, or `NULL` if the ref is not end-of-lifed.

#### Parameters

self | a FlatpakInstalledRef |

#### Returns

the end-of-life rebased ref or `NULL`.

[transfer none]

## Types and Values

### struct FlatpakInstalledRef

    struct FlatpakInstalledRef;

## Property Details

### The `“appdata-content-rating”` property

      “appdata-content-rating”   GHashTable *

The content rating data from the appdata.

Owner: FlatpakInstalledRef

Flags: Read / Write / Construct Only

### The `“appdata-content-rating-type”` property

      “appdata-content-rating-type” char *

The type of the content rating data from the appdata.

Owner: FlatpakInstalledRef

Flags: Read / Write / Construct Only

Default value: NULL

### The `“appdata-license”` property

      “appdata-license”          char *

The license from the appdata.

Owner: FlatpakInstalledRef

Flags: Read / Write / Construct Only

Default value: NULL

### The `“appdata-name”` property

      “appdata-name”             char *

The localized name field from the appdata.

Owner: FlatpakInstalledRef

Flags: Read / Write / Construct Only

Default value: NULL

### The `“appdata-summary”` property

      “appdata-summary”          char *

The localized summary field from the appdata.

Owner: FlatpakInstalledRef

Flags: Read / Write / Construct Only

Default value: NULL

### The `“appdata-version”` property

      “appdata-version”          char *

The default version field from the appdata.

Owner: FlatpakInstalledRef

Flags: Read / Write / Construct Only

Default value: NULL

### The `“deploy-dir”` property

      “deploy-dir”               char *

Where the application is installed.

Owner: FlatpakInstalledRef

Flags: Read / Write

Default value: NULL

### The `“end-of-life”` property

      “end-of-life”              char *

The reason for the ref to be end of life.

Owner: FlatpakInstalledRef

Flags: Read / Write / Construct Only

Default value: NULL

### The `“end-of-life-rebase”` property

      “end-of-life-rebase”       char *

The new ref for the end-of-lifed ref.

Owner: FlatpakInstalledRef

Flags: Read / Write / Construct Only

Default value: NULL

### The `“installed-size”` property

      “installed-size”           guint64

The installed size of the application.

Owner: FlatpakInstalledRef

Flags: Read / Write

Default value: 0

### The `“is-current”` property

      “is-current”               gboolean

Whether the application is current.

Owner: FlatpakInstalledRef

Flags: Read / Write

Default value: FALSE

### The `“latest-commit”` property

      “latest-commit”            char *

The latest commit.

Owner: FlatpakInstalledRef

Flags: Read / Write

Default value: NULL

### The `“origin”` property

      “origin”                   char *

The origin.

Owner: FlatpakInstalledRef

Flags: Read / Write

Default value: NULL

### The `“subpaths”` property

      “subpaths”                 GStrv

The subpaths for a partially installed ref.

Owner: FlatpakInstalledRef

Flags: Read / Write